PyCharm 2016.2 Help

Project Interpreter

File | Settings | Project Interpreter for Windows and Linux
PyCharm | Preferences | Project Interpreter for OS X
Ctrl+Alt+S
settings


Use this page to select Python interpreter for each of the projects opened in the same window.

In this section:

Projects pane

ItemDescription
ProjectsThis pane displays the list of projects, opened in the same window. The first project in the list is the primary project.

Interpreters

ItemDescription
Project InterpreterFor the project, selected in the Projects pane, choose Python interpreter from the drop-down list.

The interpreters in the list are configured using the cogwheel_framed button, as described in the section Configuring Available Python Interpreters.

Path mappingsThis field in only available for the remote interpreters!

This field shows read-only mappings between the desired local path and the corresponding remote path. PyCharm allows configuring paths by clicking browseButton next to the field. In the dialog box that opens, click add or delete buttons to change the path mappings as desired.

cogwheel_framedClick this button to reveal the list of available types of interpreters:
py_interpreter_types

From the list, choose the one to be added:

Packages

This table shows the packages installed locally.

ItemDescription
PackageThis column shows the list of packages residing in the accessible remote repositories. For each package you can view its name and repository. Additional information is displayed at the tooltip.
VersionThis column shows the currently installed version of a package.
LatestThis column shows the latest available versions of the packages. If a version is outdated and the package can be upgraded, arrow_right mark appears in this column.

Packages toolbar

ItemTooltip and shortcutDescription
addInstall
Alt+Insert
Click this button to install a new package from the accessible remote repositories.
deleteUninstall
Alt+Delete
Click this button to uninstall the selected local package.
arrowUpUpgradeClick this button to install the latest available version of a package. This button is only available for the outdated package versions.

The buttons on this toolbar are disabled for the Docker interpreters:

py_packages_toolbar_for_docker

All the packages should be already installed in the Docker image. If some packages are missing, then you will have to create a new Docker image, as described on the page Quickstart Guide: Compose and Django.

See Also

Language and Framework-Specific Guidelines:

Last modified: 29 August 2016